Novell Home

CVE-2008-5519

Common Vulnerabilities and Exposures

[Previous] [Index] [Next]

Upstream information

CVE-2008-5519 at MITRE

Description

The JK Connector (aka mod_jk) 1.2.0 through 1.2.26 in Apache Tomcat allows remote attackers to obtain sensitive information via an arbitrary request from an HTTP client, in opportunistic circumstances involving (1) a request from a different client that included a Content-Length header but no POST data or (2) a rapid series of requests, related to noncompliance with the AJP protocol's requirements for requests containing Content-Length headers.

NVD CVSS v2 Base Score: 2.6 (AV:N/AC:H/Au:N/C:P/I:N/A:N)

Novell/SUSE information

Novell Bugzilla entry: 493575

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise SDK 11 GA
  • apache2-mod_jk >= 1.2.26-1.30.1
sle11-sdk.s390x
sle11-sdk.ppc
sle11-debuginfo.s390x
sle11-sdk.ia64
sle11-debuginfo.x86-64
sle11-sdk.x86
sle11-sdk.x86-64
sle11-debuginfo.ppc
sle11-debuginfo.x86
sle11-debuginfo.ia64
SAT Patch Nr: 1480
openSUSE 11.0
  • apache2-mod_jk-debuginfo >= 1.2.21-129.2
  • apache2-mod_jk-debugsource >= 1.2.21-129.2
openSUSE 11.0
  • apache2-mod_jk >= 1.2.21-129.2
openSUSE 11.1
  • apache2-mod_jk-debuginfo >= 1.2.26-1.44.1
  • apache2-mod_jk-debugsource >= 1.2.26-1.44.1
openSUSE 11.1
  • apache2-mod_jk >= 1.2.26-1.44.1

© 2014 Novell